package com.jy.flow.dto;

import cn.hutool.core.util.ObjectUtil;
import com.warm.flow.orm.entity.FlowDefinition;
import lombok.Setter;

@Setter
public class FlowDefinitionDto extends FlowDefinition {

    /**
     * 页数
     */
    private Integer pageNum;

    /**
     * 每页条数
     */
    private Integer pageSize;

    public Integer getPageNum() {
        return ObjectUtil.defaultIfNull(pageNum, 1);
    }

    public Integer getPageSize() {
        return ObjectUtil.defaultIfNull(pageSize, 10);
    }

}
